package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.common.bean.dto.CampusExamRoomDto;
import com.qmth.teachcloud.common.bean.dto.CoursePaperNumberDto;
import com.qmth.teachcloud.common.bean.dto.SemesterExamDto;

import java.util.List;

/**
 * <p>
 * 查询条件 服务类
 * </p>
 */
public interface ScanConditionService {
    List<SemesterExamDto> scanSemesterList(Boolean enable);

    List<CoursePaperNumberDto> scanCourseList(Long examId);

    List<CampusExamRoomDto> scanCampusList(Long examId, String courseCode, String coursePaperId);
}
